diff --git a/_ide_helper.php b/_ide_helper.php
index b307038..7f7a796 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -1,7 +1,7 @@
 <?php
 /**
  * A helper file for Laravel 5, to provide autocomplete information to your IDE
- * Generated for Laravel 5.3.9 on 2016-09-17.
+ * Generated for Laravel 5.4.28 on 2017-07-04.
  *
  * @author Barry vd. Heuvel <barryvdh@gmail.com>
  * @see https://github.com/barryvdh/laravel-ide-helper
@@ -92,51 +92,56 @@ namespace {
         /**
          * Get the path to the application "app" directory.
          *
+         * @param string $path Optionally, a path to append to the app path
          * @return string 
          * @static 
          */
-        public static function path(){
-            return \Illuminate\Foundation\Application::path();
+        public static function path($path = ''){
+            return \Illuminate\Foundation\Application::path($path);
         }
         
         /**
          * Get the base path of the Laravel installation.
          *
+         * @param string $path Optionally, a path to append to the base path
          * @return string 
          * @static 
          */
-        public static function basePath(){
-            return \Illuminate\Foundation\Application::basePath();
+        public static function basePath($path = ''){
+            return \Illuminate\Foundation\Application::basePath($path);
         }
         
         /**
          * Get the path to the bootstrap directory.
          *
+         * @param string $path Optionally, a path to append to the bootstrap path
          * @return string 
          * @static 
          */
-        public static function bootstrapPath(){
-            return \Illuminate\Foundation\Application::bootstrapPath();
+        public static function bootstrapPath($path = ''){
+            return \Illuminate\Foundation\Application::bootstrapPath($path);
         }
         
         /**
          * Get the path to the application configuration files.
          *
+         * @param string $path Optionally, a path to append to the config path
          * @return string 
          * @static 
          */
-        public static function configPath(){
-            return \Illuminate\Foundation\Application::configPath();
+        public static function configPath($path = ''){
+            return \Illuminate\Foundation\Application::configPath($path);
         }
         
         /**
          * Get the path to the database directory.
          *
+         * @param string $path Optionally, a path to append to the database path
          * @return string 
          * @static 
          */
-        public static function databasePath(){
-            return \Illuminate\Foundation\Application::databasePath();
+        public static function databasePath($path = ''){
+            return \Illuminate\Foundation\Application::databasePath($path);
         }
         
         /**
@@ -194,11 +199,12 @@ namespace {
         /**
          * Get the path to the resources directory.
          *
+         * @param string $path
          * @return string 
          * @static 
          */
-        public static function resourcePath(){
-            return \Illuminate\Foundation\Application::resourcePath();
+        public static function resourcePath($path = ''){
+            return \Illuminate\Foundation\Application::resourcePath($path);
         }
         
         /**
@@ -345,8 +351,8 @@ namespace {
          * @return \Illuminate\Support\ServiceProvider 
          * @static 
          */
-        public static function resolveProviderClass($provider){
-            return \Illuminate\Foundation\Application::resolveProviderClass($provider);
+        public static function resolveProvider($provider){
+            return \Illuminate\Foundation\Application::resolveProvider($provider);
         }
         
         /**
@@ -385,15 +391,28 @@ namespace {
         /**
          * Resolve the given type from the container.
          * 
-         * (Overriding Container::make)
+         * (Overriding Container::makeWith)
          *
          * @param string $abstract
          * @param array $parameters
          * @return mixed 
          * @static 
          */
-        public static function make($abstract, $parameters = array()){
-            return \Illuminate\Foundation\Application::make($abstract, $parameters);
+        public static function makeWith($abstract, $parameters){
+            return \Illuminate\Foundation\Application::makeWith($abstract, $parameters);
+        }
+        
+        /**
+         * Resolve the given type from the container.
+         * 
+         * (Overriding Container::make)
+         *
+         * @param string $abstract
+         * @return mixed 
+         * @static 
+         */
+        public static function make($abstract){
+            return \Illuminate\Foundation\Application::make($abstract);
         }
         
         /**
@@ -471,6 +490,16 @@ namespace {
         }
         
         /**
+         * Get the path to the cached services.php file.
+         *
+         * @return string 
+         * @static 
+         */
+        public static function getCachedServicesPath(){
+            return \Illuminate\Foundation\Application::getCachedServicesPath();
+        }
+        
+        /**
          * Determine if the application configuration is cached.
          *
          * @return bool 
@@ -511,26 +540,6 @@ namespace {
         }
         
         /**
-         * Get the path to the cached "compiled.php" file.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function getCachedCompilePath(){
-            return \Illuminate\Foundation\Application::getCachedCompilePath();
-        }
-        
-        /**
-         * Get the path to the cached services.php file.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function getCachedServicesPath(){
-            return \Illuminate\Foundation\Application::getCachedServicesPath();
-        }
-        
-        /**
          * Determine if the application is currently down for maintenance.
          *
          * @return bool 
@@ -629,6 +638,17 @@ namespace {
         }
         
         /**
+         * Configure the real-time facade namespace.
+         *
+         * @param string $namespace
+         * @return void 
+         * @static 
+         */
+        public static function provideFacades($namespace){
+            \Illuminate\Foundation\Application::provideFacades($namespace);
+        }
+        
+        /**
          * Define a callback to be used to configure Monolog.
          *
          * @param callable $callback
@@ -747,6 +767,18 @@ namespace {
         }
         
         /**
+         * Determine if a given type is shared.
+         *
+         * @param string $abstract
+         * @return bool 
+         * @static 
+         */
+        public static function isShared($abstract){
+            //Method inherited from \Illuminate\Container\Container            
+            return \Illuminate\Foundation\Application::isShared($abstract);
+        }
+        
+        /**
          * Determine if a given string is an alias.
          *
          * @param string $name
@@ -773,6 +805,44 @@ namespace {
         }
         
         /**
+         * Determine if the container has a method binding.
+         *
+         * @param string $method
+         * @return bool 
+         * @static 
+         */
+        public static function hasMethodBinding($method){
+            //Method inherited from \Illuminate\Container\Container            
+            return \Illuminate\Foundation\Application::hasMethodBinding($method);
+        }
+        
+        /**
+         * Bind a callback to resolve with Container::call.
+         *
+         * @param string $method
+         * @param \Closure $callback
+         * @return void 
+         * @static 
+         */
+        public static function bindMethod($method, $callback){
+            //Method inherited from \Illuminate\Container\Container            
+            \Illuminate\Foundation\Application::bindMethod($method, $callback);
+        }
+        
+        /**
+         * Get the method binding for the given method.
+         *
+         * @param string $method
+         * @param mixed $instance
+         * @return mixed 
+         * @static 
+         */
+        public static function callMethodBinding($method, $instance){
+            //Method inherited from \Illuminate\Container\Container            
+            return \Illuminate\Foundation\Application::callMethodBinding($method, $instance);
+        }
+        
+        /**
          * Add a contextual binding to the container.
          *
          * @param string $concrete
@@ -814,18 +884,6 @@ namespace {
         }
         
         /**
-         * Wrap a Closure such that it is shared.
-         *
-         * @param \Closure $closure
-         * @return \Closure 
-         * @static 
-         */
-        public static function share($closure){
-            //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::share($closure);
-        }
-        
-        /**
          * "Extend" an abstract type in the container.
          *
          * @param string $abstract
@@ -945,17 +1003,28 @@ namespace {
         }
         
         /**
+         * Get a closure to resolve the given type from the container.
+         *
+         * @param string $abstract
+         * @return \Closure 
+         * @static 
+         */
+        public static function factory($abstract){
+            //Method inherited from \Illuminate\Container\Container            
+            return \Illuminate\Foundation\Application::factory($abstract);
+        }
+        
+        /**
          * Instantiate a concrete instance of the given type.
          *
          * @param string $concrete
-         * @param array $parameters
          * @return mixed 
          * @throws \Illuminate\Contracts\Container\BindingResolutionException
          * @static 
          */
-        public static function build($concrete, $parameters = array()){
+        public static function build($concrete){
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::build($concrete, $parameters);
+            return \Illuminate\Foundation\Application::build($concrete);
         }
         
         /**
@@ -985,26 +1054,39 @@ namespace {
         }
         
         /**
-         * Determine if a given type is shared.
+         * Get the container's bindings.
+         *
+         * @return array 
+         * @static 
+         */
+        public static function getBindings(){
+            //Method inherited from \Illuminate\Container\Container            
+            return \Illuminate\Foundation\Application::getBindings();
+        }
+        
+        /**
+         * Get the alias for an abstract if available.
          *
          * @param string $abstract
-         * @return bool 
+         * @return string 
+         * @throws \LogicException
          * @static 
          */
-        public static function isShared($abstract){
+        public static function getAlias($abstract){
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::isShared($abstract);
+            return \Illuminate\Foundation\Application::getAlias($abstract);
         }
         
         /**
-         * Get the container's bindings.
+         * Remove all of the extender callbacks for a given type.
          *
-         * @return array 
+         * @param string $abstract
+         * @return void 
          * @static 
          */
-        public static function getBindings(){
+        public static function forgetExtenders($abstract){
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::getBindings();
+            \Illuminate\Foundation\Application::forgetExtenders($abstract);
         }
         
         /**
@@ -1163,12 +1245,13 @@ namespace {
          *
          * @param string $command
          * @param array $parameters
+         * @param \Symfony\Component\Console\Output\OutputInterface $outputBuffer
          * @return int 
          * @static 
          */
-        public static function call($command, $parameters = array()){
+        public static function call($command, $parameters = array(), $outputBuffer = null){
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
-            return \Portal\Console\Kernel::call($command, $parameters);
+            return \Portal\Console\Kernel::call($command, $parameters, $outputBuffer);
         }
         
         /**
@@ -1176,12 +1259,12 @@ namespace {
          *
          * @param string $command
          * @param array $parameters
-         * @return void 
+         * @return \Illuminate\Foundation\Bus\PendingDispatch 
          * @static 
          */
         public static function queue($command, $parameters = array()){
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
-            \Portal\Console\Kernel::queue($command, $parameters);
+            return \Portal\Console\Kernel::queue($command, $parameters);
         }
         
         /**
@@ -1217,6 +1300,18 @@ namespace {
             \Portal\Console\Kernel::bootstrap();
         }
         
+        /**
+         * Set the Artisan application instance.
+         *
+         * @param \Illuminate\Console\Application $artisan
+         * @return void 
+         * @static 
+         */
+        public static function setArtisan($artisan){
+            //Method inherited from \Illuminate\Foundation\Console\Kernel            
+            \Portal\Console\Kernel::setArtisan($artisan);
+        }
+        
     }
 
 
@@ -1390,6 +1485,17 @@ namespace {
         }
         
         /**
+         * Log the given user ID into the application without sessions or cookies.
+         *
+         * @param mixed $id
+         * @return \Portal\User|false 
+         * @static 
+         */
+        public static function onceUsingId($id){
+            return \Illuminate\Auth\SessionGuard::onceUsingId($id);
+        }
+        
+        /**
          * Validate a user's credentials.
          *
          * @param array $credentials
@@ -1429,23 +1535,23 @@ namespace {
          *
          * @param array $credentials
          * @param bool $remember
-         * @param bool $login
          * @return bool 
          * @static 
          */
-        public static function attempt($credentials = array(), $remember = false, $login = true){
-            return \Illuminate\Auth\SessionGuard::attempt($credentials, $remember, $login);
+        public static function attempt($credentials = array(), $remember = false){
+            return \Illuminate\Auth\SessionGuard::attempt($credentials, $remember);
         }
         
         /**
-         * Register an authentication attempt event listener.
+         * Log the given user ID into the application.
          *
-         * @param mixed $callback
-         * @return void 
+         * @param mixed $id
+         * @param bool $remember
+         * @return \Portal\User|false 
          * @static 
          */
-        public static function attempting($callback){
-            \Illuminate\Auth\SessionGuard::attempting($callback);
+        public static function loginUsingId($id, $remember = false){
+            return \Illuminate\Auth\SessionGuard::loginUsingId($id, $remember);
         }
         
         /**
@@ -1461,36 +1567,64 @@ namespace {
         }
         
         /**
-         * Log the given user ID into the application.
+         * Log the user out of the application.
          *
-         * @param mixed $id
-         * @param bool $remember
-         * @return \Portal\User|false 
+         * @return void 
          * @static 
          */
-        public static function loginUsingId($id, $remember = false){
-            return \Illuminate\Auth\SessionGuard::loginUsingId($id, $remember);
+        public static function logout(){
+            \Illuminate\Auth\SessionGuard::logout();
         }
         
         /**
-         * Log the given user ID into the application without sessions or cookies.
+         * Register an authentication attempt event listener.
          *
-         * @param mixed $id
-         * @return \Portal\User|false 
+         * @param mixed $callback
+         * @return void 
          * @static 
          */
-        public static function onceUsingId($id){
-            return \Illuminate\Auth\SessionGuard::onceUsingId($id);
+        public static function attempting($callback){
+            \Illuminate\Auth\SessionGuard::attempting($callback);
         }
         
         /**
-         * Log the user out of the application.
+         * Get the last user we attempted to authenticate.
          *
-         * @return void 
+         * @return \Portal\User 
          * @static 
          */
-        public static function logout(){
-            \Illuminate\Auth\SessionGuard::logout();
+        public static function getLastAttempted(){
+            return \Illuminate\Auth\SessionGuard::getLastAttempted();
+        }
+        
+        /**
+         * Get a unique identifier for the auth session value.
+         *
+         * @return string 
+         * @static 
+         */
+        public static function getName(){
+            return \Illuminate\Auth\SessionGuard::getName();
+        }
+        
+        /**
+         * Get the name of the cookie used to store the "recaller".
+         *
+         * @return string 
+         * @static 
+         */
+        public static function getRecallerName(){
+            return \Illuminate\Auth\SessionGuard::getRecallerName();
+        }
+        
+        /**
+         * Determine if the user was authenticated via "remember me" cookie.
+         *
+         * @return bool 
+         * @static 
+         */
+        public static function viaRemember(){
+            return \Illuminate\Auth\SessionGuard::viaRemember();
         }
         
         /**
@@ -1610,74 +1744,57 @@ namespace {
         }
         
         /**
-         * Get the last user we attempted to authenticate.
+         * Determine if the current user is authenticated.
          *
-         * @return \Portal\User 
+         * @return bool 
          * @static 
          */
-        public static function getLastAttempted(){
-            return \Illuminate\Auth\SessionGuard::getLastAttempted();
+        public static function check(){
+            return \Illuminate\Auth\SessionGuard::check();
         }
         
         /**
-         * Get a unique identifier for the auth session value.
+         * Determine if the current user is a guest.
          *
-         * @return string 
+         * @return bool 
          * @static 
          */
-        public static function getName(){
-            return \Illuminate\Auth\SessionGuard::getName();
+        public static function guest(){
+            return \Illuminate\Auth\SessionGuard::guest();
         }
         
         /**
-         * Get the name of the cookie used to store the "recaller".
+         * Determine if the current user is authenticated.
          *
-         * @return string 
+         * @return \Portal\User 
+         * @throws \Illuminate\Auth\AuthenticationException
          * @static 
          */
-        public static function getRecallerName(){
-            return \Illuminate\Auth\SessionGuard::getRecallerName();
+        public static function authenticate(){
+            return \Illuminate\Auth\SessionGuard::authenticate();
         }
         
         /**
-         * Determine if the user was authenticated via "remember me" cookie.
+         * Register a custom macro.
          *
-         * @return bool 
+         * @param string $name
+         * @param callable $macro
+         * @return void 
          * @static 
          */
-        public static function viaRemember(){
-            return \Illuminate\Auth\SessionGuard::viaRemember();
+        public static function macro($name, $macro){
+            \Illuminate\Auth\SessionGuard::macro($name, $macro);
         }
         
         /**
-         * Determine if the current user is authenticated.
-         *
-         * @return bool 
-         * @static 
-         */
-        public static function check(){
-            return \Illuminate\Auth\SessionGuard::check();
-        }
-        
-        /**
-         * Determine if the current user is a guest.
+         * Checks if macro is registered.
          *
+         * @param string $name
          * @return bool 
          * @static 
          */
-        public static function guest(){
-            return \Illuminate\Auth\SessionGuard::guest();
-        }
-        
-        /**
-         * Determine if the current user is authenticated.
-         *
-         * @return \Portal\User 
-         * @throws \Illuminate\Auth\AuthenticationException
-         * @static 
-         */
-        public static function authenticate(){
-            return \Illuminate\Auth\SessionGuard::authenticate();
+        public static function hasMacro($name){
+            return \Illuminate\Auth\SessionGuard::hasMacro($name);
         }
         
     }
@@ -1729,17 +1846,6 @@ namespace {
         }
         
         /**
-         * Compile the default values for the echo statement.
-         *
-         * @param string $value
-         * @return string 
-         * @static 
-         */
-        public static function compileEchoDefaults($value){
-            return \Illuminate\View\Compilers\BladeCompiler::compileEchoDefaults($value);
-        }
-        
-        /**
          * Strip the parentheses from the given expression.
          *
          * @param string $expression
@@ -1751,24 +1857,24 @@ namespace {
         }
         
         /**
-         * Get the extensions used by the compiler.
+         * Register a custom Blade compiler.
          *
-         * @return array 
+         * @param callable $compiler
+         * @return void 
          * @static 
          */
-        public static function getExtensions(){
-            return \Illuminate\View\Compilers\BladeCompiler::getExtensions();
+        public static function extend($compiler){
+            \Illuminate\View\Compilers\BladeCompiler::extend($compiler);
         }
         
         /**
-         * Register a custom Blade compiler.
+         * Get the extensions used by the compiler.
          *
-         * @param callable $compiler
-         * @return void 
+         * @return array 
          * @static 
          */
-        public static function extend($compiler){
-            \Illuminate\View\Compilers\BladeCompiler::extend($compiler);
+        public static function getExtensions(){
+            return \Illuminate\View\Compilers\BladeCompiler::getExtensions();
         }
         
         /**
@@ -1794,73 +1900,6 @@ namespace {
         }
         
         /**
-         * Gets the raw tags used by the compiler.
-         *
-         * @return array 
-         * @static 
-         */
-        public static function getRawTags(){
-            return \Illuminate\View\Compilers\BladeCompiler::getRawTags();
-        }
-        
-        /**
-         * Sets the raw tags used for the compiler.
-         *
-         * @param string $openTag
-         * @param string $closeTag
-         * @return void 
-         * @static 
-         */
-        public static function setRawTags($openTag, $closeTag){
-            \Illuminate\View\Compilers\BladeCompiler::setRawTags($openTag, $closeTag);
-        }
-        
-        /**
-         * Sets the content tags used for the compiler.
-         *
-         * @param string $openTag
-         * @param string $closeTag
-         * @param bool $escaped
-         * @return void 
-         * @static 
-         */
-        public static function setContentTags($openTag, $closeTag, $escaped = false){
-            \Illuminate\View\Compilers\BladeCompiler::setContentTags($openTag, $closeTag, $escaped);
-        }
-        
-        /**
-         * Sets the escaped content tags used for the compiler.
-         *
-         * @param string $openTag
-         * @param string $closeTag
-         * @return void 
-         * @static 
-         */
-        public static function setEscapedContentTags($openTag, $closeTag){
-            \Illuminate\View\Compilers\BladeCompiler::setEscapedContentTags($openTag, $closeTag);
-        }
-        
-        /**
-         * Gets the content tags used for the compiler.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function getContentTags(){
-            return \Illuminate\View\Compilers\BladeCompiler::getContentTags();
-        }
-        
-        /**
-         * Gets the escaped content tags used for the compiler.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function getEscapedContentTags(){
-            return \Illuminate\View\Compilers\BladeCompiler::getEscapedContentTags();
-        }
-        
-        /**
          * Set the echo format to be used by the compiler.
          *
          * @param string $format
@@ -1895,6 +1934,17 @@ namespace {
             return \Illuminate\View\Compilers\BladeCompiler::isExpired($path);
         }
         
+        /**
+         * Compile the default values for the echo statement.
+         *
+         * @param string $value
+         * @return string 
+         * @static 
+         */
+        public static function compileEchoDefaults($value){
+            return \Illuminate\View\Compilers\BladeCompiler::compileEchoDefaults($value);
+        }
+        
     }
 
 
@@ -2051,17 +2101,6 @@ namespace {
         }
         
         /**
-         * Set the event dispatcher instance.
-         *
-         * @param \Illuminate\Contracts\Events\Dispatcher $events
-         * @return void 
-         * @static 
-         */
-        public static function setEventDispatcher($events){
-            \Illuminate\Cache\Repository::setEventDispatcher($events);
-        }
-        
-        /**
          * Determine if an item exists in the cache.
          *
          * @param string $key
@@ -2257,11 +2296,11 @@ namespace {
          * Set the default cache time in minutes.
          *
          * @param float|int $minutes
-         * @return void 
+         * @return $this 
          * @static 
          */
         public static function setDefaultCacheTime($minutes){
-            \Illuminate\Cache\Repository::setDefaultCacheTime($minutes);
+            return \Illuminate\Cache\Repository::setDefaultCacheTime($minutes);
         }
         
         /**
@@ -2275,6 +2314,17 @@ namespace {
         }
         
         /**
+         * Set the event dispatcher instance.
+         *
+         * @param \Illuminate\Contracts\Events\Dispatcher $events
+         * @return void 
+         * @static 
+         */
+        public static function setEventDispatcher($events){
+            \Illuminate\Cache\Repository::setEventDispatcher($events);
+        }
+        
+        /**
          * Determine if a cached value exists.
          *
          * @param string $key
@@ -2358,11 +2408,11 @@ namespace {
         /**
          * Remove all items from the cache.
          *
-         * @return void 
+         * @return bool 
          * @static 
          */
         public static function flush(){
-            \Illuminate\Cache\FileStore::flush();
+            return \Illuminate\Cache\FileStore::flush();
         }
         
         /**
@@ -2591,11 +2641,12 @@ namespace {
         /**
          * Queue a cookie to send with the next response.
          *
+         * @param array $parameters
          * @return void 
          * @static 
          */
-        public static function queue(){
-            \Illuminate\Cookie\CookieJar::queue();
+        public static function queue($parameters = null){
+            \Illuminate\Cookie\CookieJar::queue($parameters);
         }
         
         /**
@@ -2652,25 +2703,49 @@ namespace {
         /**
          * Encrypt the given value.
          *
-         * @param string $value
+         * @param mixed $value
+         * @param bool $serialize
          * @return string 
          * @throws \Illuminate\Contracts\Encryption\EncryptException
          * @static 
          */
-        public static function encrypt($value){
-            return \Illuminate\Encryption\Encrypter::encrypt($value);
+        public static function encrypt($value, $serialize = true){
+            return \Illuminate\Encryption\Encrypter::encrypt($value, $serialize);
+        }
+        
+        /**
+         * Encrypt a string without serialization.
+         *
+         * @param string $value
+         * @return string 
+         * @static 
+         */
+        public static function encryptString($value){
+            return \Illuminate\Encryption\Encrypter::encryptString($value);
         }
         
         /**
          * Decrypt the given value.
          *
-         * @param string $payload
+         * @param mixed $payload
+         * @param bool $unserialize
          * @return string 
          * @throws \Illuminate\Contracts\Encryption\DecryptException
          * @static 
          */
-        public static function decrypt($payload){
-            return \Illuminate\Encryption\Encrypter::decrypt($payload);
+        public static function decrypt($payload, $unserialize = true){
+            return \Illuminate\Encryption\Encrypter::decrypt($payload, $unserialize);
+        }
+        
+        /**
+         * Decrypt the given string without unserialization.
+         *
+         * @param string $payload
+         * @return string 
+         * @static 
+         */
+        public static function decryptString($payload){
+            return \Illuminate\Encryption\Encrypter::decryptString($payload);
         }
         
         /**
@@ -2806,6 +2881,18 @@ namespace {
         }
         
         /**
+         * Bind values to their parameters in the given statement.
+         *
+         * @param \PDOStatement $statement
+         * @param array $bindings
+         * @return void 
+         * @static 
+         */
+        public static function bindValues($statement, $bindings){
+            \Illuminate\Database\MySqlConnection::bindValues($statement, $bindings);
+        }
+        
+        /**
          * Set the query grammar to the default implementation.
          *
          * @return void 
